--PJ017930_Change_33_LK_REDSGN_CAT
USE [COWS]
GO

/****** Object:  Table [dbo].[LK_REDSGN_CAT]    Script Date: 11/08/2016 10:00:39 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[LK_REDSGN_CAT](
	[REDSGN_CAT_ID] [tinyint] NOT NULL,
	[REDSGN_CAT_DES] [varchar](100) NOT NULL,
	[REC_STUS_ID] [bit] NOT NULL,
	[CREAT_DT] [date] NOT NULL,
	[CREAT_USER_ID] [int] NOT NULL,
 CONSTRAINT [PK_LK_REDSGN_CAT] PRIMARY KEY CLUSTERED 
(
	[REDSGN_CAT_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_LK_REDSGN_CAT] UNIQUE NONCLUSTERED 
(
	[REDSGN_CAT_DES] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[LK_REDSGN_CAT]  WITH CHECK ADD  CONSTRAINT [FK01_LK_REDSGN_CAT] FOREIGN KEY([CREAT_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_REDSGN_CAT] CHECK CONSTRAINT [FK01_LK_REDSGN_CAT]
GO



--PJ017930_Change_33_LK_REDSGN_TYPE
USE [COWS]
GO

/****** Object:  Table [dbo].[LK_REDSGN_TYPE]    Script Date: 11/08/2016 10:06:06 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[LK_REDSGN_TYPE](
	[REDSGN_TYPE_ID] [tinyint] NOT NULL,
	[REDSGN_TYPE_NME] [varchar](50) NOT NULL,
	[REDSGN_TYPE_DES] [varchar](100) NOT NULL,
	[RECSTUS_ID] [bit] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
	[REDSGN_CAT_ID] [tinyint] NULL,
	[IS_BLBL_CD] [bit] NOT NULL,
	[ODIE_REQ_CD] [bit] NOT NULL,
 CONSTRAINT [PK_LK_REDSGN_TYPE] PRIMARY KEY CLUSTERED 
(
	[REDSGN_TYPE_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[LK_REDSGN_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_REDSGN_TYPE] FOREIGN KEY([REDSGN_CAT_ID])
REFERENCES [dbo].[LK_REDSGN_CAT] ([REDSGN_CAT_ID])
GO

ALTER TABLE [dbo].[LK_REDSGN_TYPE] CHECK CONSTRAINT [FK01_LK_REDSGN_TYPE]
GO

ALTER TABLE [dbo].[LK_REDSGN_TYPE] ADD  DEFAULT ((0)) FOR [IS_BLBL_CD]
GO

ALTER TABLE [dbo].[LK_REDSGN_TYPE] ADD  DEFAULT ('0') FOR [ODIE_REQ_CD]
GO



USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN]    Script Date: 11/08/2016 10:10:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[REDSGN](
	[REDSGN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_NBR] [varchar](20) NOT NULL,
	[H1_CD] [varchar](9) NOT NULL,
	[CUST_NME] [varbinary](max) NOT NULL,
	[NTE_ASSIGNED] [varchar](100) NULL,
	[PM_ASSIGNED] [varchar](100) NULL,
	[REDSGN_TYPE_ID] [tinyint] NOT NULL,
	[STUS_ID] [smallint] NOT NULL,
	[ENTIRE_NW_CKD_ID] [bit] NOT NULL,
	[REDSGN_DEV_STUS_ID] [smallint] NULL,
	[CRETD_BY_CD] [int] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
	[MODFD_BY_CD] [int] NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[SUBMIT_DT] [smalldatetime] NULL,
	[MOD_SUBMIT_DT] [smalldatetime] NULL,
	[SLA_DT] [smalldatetime] NULL,
	[ODIE_CUST_ID] [varchar](10) NULL,
	[APPROV_NBR] [varchar](50) NULL,
	[COST_AMT] [decimal](10, 2) NULL,
	[EXPRTN_DT] [smalldatetime] NULL,
	[CUST_EMAIL_ADR] [varbinary](max) NULL,
	[SCURD_CD] [bit] NULL,
	[CSG_LVL_ID] [tinyint] NULL,
	[EXT_XPIRN_FLG_CD] [bit] NULL,
	[REDSGN_CAT_ID] [tinyint] NULL,
	[DSGN_DOC_LOC_TXT] [nvarchar](2000) NULL,
	[SDE_ASN_NME] [varchar](100) NULL,
	[NTE_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[PM_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[NE_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[NTE_OT_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[PM_OT_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[NE_OT_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[SPS_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
	[NE_ASN_NME] [varchar](100) NULL,
	[SOWS_FOLDR_PATH_NME] [varchar](300) NULL,
	[SPS_OT_LVL_EFFORT_AMT] [decimal](10, 2) NULL,
 CONSTRAINT [PK_REDSGN] PRIMARY KEY CLUSTERED 
(
	[REDSGN_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK03_REDSGN] FOREIGN KEY([REDSGN_TYPE_ID])
REFERENCES [dbo].[LK_REDSGN_TYPE] ([REDSGN_TYPE_ID])
GO

ALTER TABLE [dbo].[REDSGN] CHECK CONSTRAINT [FK03_REDSGN]
GO

ALTER TABLE [dbo].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK04_REDSGN] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[REDSGN] CHECK CONSTRAINT [FK04_REDSGN]
GO

ALTER TABLE [dbo].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK05_REDSGN] FOREIGN KEY([REDSGN_DEV_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[REDSGN] CHECK CONSTRAINT [FK05_REDSGN]
GO

ALTER TABLE [dbo].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK06_REDSGN] FOREIGN KEY([CRETD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[REDSGN] CHECK CONSTRAINT [FK06_REDSGN]
GO

ALTER TABLE [dbo].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK07_REDSGN] FOREIGN KEY([MODFD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[REDSGN] CHECK CONSTRAINT [FK07_REDSGN]
GO

ALTER TABLE [dbo].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK08_REDSGN] FOREIGN KEY([CSG_LVL_ID])
REFERENCES [dbo].[LK_CSG_LVL] ([CSG_LVL_ID])
GO

ALTER TABLE [dbo].[REDSGN] CHECK CONSTRAINT [FK08_REDSGN]
GO

ALTER TABLE [dbo].[REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK09_REDSGN] FOREIGN KEY([REDSGN_CAT_ID])
REFERENCES [dbo].[LK_REDSGN_CAT] ([REDSGN_CAT_ID])
GO

ALTER TABLE [dbo].[REDSGN] CHECK CONSTRAINT [FK09_REDSGN]
GO

ALTER TABLE [dbo].[REDSGN] ADD  DEFAULT ((0)) FOR [ENTIRE_NW_CKD_ID]
GO



--PJ017930 - Change 02 - 07102015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO



--3)[dbo].[LK_REDSGN_NOTES_TYPE]
CREATE TABLE [dbo].[LK_REDSGN_NOTES_TYPE]
(
	[REDSGN_NTE_TYPE_ID]	tinyint NOT NULL ,
	[REDSGN_NTE_TYPE_CD]	varchar(50) NOT NULL ,
	[REDSGN_NTE_TYPE_DES]	varchar(100) NOT NULL ,
	[REC_STUS_ID]			bit NOT NULL ,
	[CRETD_DT]				smalldatetime NOT NULL ,
	CONSTRAINT [PK_LK_REDSGN_NOTES_TYPE] PRIMARY KEY  CLUSTERED ([REDSGN_NTE_TYPE_ID] ASC)
)
go

--3) [dbo].[REDSGN_NOTES]

CREATE TABLE [dbo].[REDSGN_NOTES](
	[REDSGN_NOTES_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [int] NOT NULL,
	[REDSGN_NTE_TYPE_ID] [tinyint] NOT NULL,
	[NOTES] [varchar](5000) NULL,
	[CRETD_BY_CD] [int] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_REDSGN_NOTES] PRIMARY KEY CLUSTERED 
(
	[REDSGN_NOTES_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[REDSGN_NOTES]  WITH CHECK ADD  CONSTRAINT [FK01_REDSGN_NOTES] FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [dbo].[REDSGN_NOTES] CHECK CONSTRAINT [FK01_REDSGN_NOTES]
GO

ALTER TABLE [dbo].[REDSGN_NOTES]  WITH CHECK ADD  CONSTRAINT [FK02_REDSGN_NOTES] FOREIGN KEY([REDSGN_NTE_TYPE_ID])
REFERENCES [dbo].[LK_REDSGN_NOTES_TYPE] ([REDSGN_NTE_TYPE_ID])
GO

ALTER TABLE [dbo].[REDSGN_NOTES] CHECK CONSTRAINT [FK02_REDSGN_NOTES]
GO

ALTER TABLE [dbo].[REDSGN_NOTES]  WITH CHECK ADD  CONSTRAINT [FK03_REDSGN_NOTES] FOREIGN KEY([CRETD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[REDSGN_NOTES] CHECK CONSTRAINT [FK03_REDSGN_NOTES]
GO


--4) [dbo].[REDSGN_WRKFLW]
GO

CREATE TABLE [dbo].[REDSGN_WRKFLW]
(
	[REDSGN_WRKFLW_ID]		Int IDENTITY(1,1) NOT NULL ,
	[PRE_WRKFLW_STUS_ID]	smallint NULL ,
	[DESRD_WRKFLW_STUS_ID]	smallint NULL ,
	[REC_STUS_ID]			tinyint DEFAULT 1 NOT NULL ,
	[CRETD_DT]				smalldatetime NOT NULL ,
	CONSTRAINT [PK_REDSGN_WRKFLW] PRIMARY KEY  CLUSTERED ([REDSGN_WRKFLW_ID] ASC)
)
go
ALTER TABLE [dbo].[REDSGN_WRKFLW]
ADD CONSTRAINT [FK01_REDSGN_WRKFLW] FOREIGN KEY ([PRE_WRKFLW_STUS_ID]) REFERENCES [LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go
ALTER TABLE [dbo].[REDSGN_WRKFLW]
ADD CONSTRAINT [FK02_REDSGN_WRKFLW] FOREIGN KEY ([DESRD_WRKFLW_STUS_ID]) REFERENCES [LK_STUS]([STUS_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION	
	
ALTER TABLE [dbo].[REDSGN_WRKFLW]
	ADD CONSTRAINT [UX01_REDSGN_WRKFLW] UNIQUE ([PRE_WRKFLW_STUS_ID]  ASC,[DESRD_WRKFLW_STUS_ID]  ASC)
go


USE COWS
GO
--5) 	[dbo].[REDSGN_EMAIL_NTFCTN]	
CREATE TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
(	
	[REDSGN_EMAIL_NTFCTN_ID]	Int IDENTITY(1,1) NOT NULL ,
	[REDSGN_ID]					Int NULL ,
	[USER_IDNTFCTN_EMAIL]		Varchar(100) NULL ,
	[REC_STUS_ID]				bit NOT NULL ,
	[CRETD_USER_ID]				Int NOT NULL ,
	[CRETD_DT]					smalldatetime NOT NULL ,
	CONSTRAINT [PK_REDSGN_EMAIL_NTFCTN] PRIMARY KEY  CLUSTERED ([REDSGN_EMAIL_NTFCTN_ID] ASC)
)
go

ALTER 	TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
ADD CONSTRAINT [FK01_REDSGN_EMAIL_NTFCTN] FOREIGN KEY ([REDSGN_ID]) REFERENCES [REDSGN]([REDSGN_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

--ALTER 	TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
--ADD CONSTRAINT [FK02_REDSGN_EMAIL_NTFCTN] FOREIGN KEY ([USER_IDNTFCTN_CD]) REFERENCES [LK_USER]([USER_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

ALTER 	TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
ADD CONSTRAINT [FK03_REDSGN_EMAIL_NTFCTN] FOREIGN KEY ([CRETD_USER_ID]) REFERENCES [LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
GO
	
ALTER TABLE [dbo].[REDSGN_EMAIL_NTFCTN]
	ADD CONSTRAINT [UX01_REDSGN_EMAIL_NTFCTN] UNIQUE ([REDSGN_ID]  ASC,[USER_IDNTFCTN_EMAIL]  ASC)
go


--6) [dbo].[REDSGN_DEVICES_INFO]		
CREATE TABLE [dbo].[REDSGN_DEVICES_INFO](
	[REDSGN_DEV_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [int] NOT NULL,
	[SEQ_NBR] [smallint] NOT NULL,
	[DEV_NME] [varchar](50) NULL,
	[FAST_TRK_CD] [bit] NULL,
	[DSPCH_RDY_CD] [bit] NULL,
	[REC_STUS_ID] [bit] NOT NULL,
	[CRETD_BY_CD] [int] NOT NULL,
	[CRETD_DT] [smalldatetime] NOT NULL,
	[MODFD_BY_CD] [int] NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[NTE_CHRG_CD] [bit] NOT NULL,
	[DEV_BILL_DT] [datetime] NULL,
	[DEV_CMPLTN_CD] [bit] NULL,
	[H6_CUST_ID] [dbo].[H6] NULL,
 CONSTRAINT [PK_REDSGN_DEVICES_INFO] PRIMARY KEY CLUSTERED 
(
	[REDSGN_DEV_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_REDSGN_DEVICES_INFO] UNIQUE NONCLUSTERED 
(
	[REDSGN_ID] ASC,
	[DEV_NME] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[REDSGN_DEVICES_INFO]  WITH CHECK ADD  CONSTRAINT [FK01_REDSGN_DEVICES_INFO] FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [dbo].[REDSGN_DEVICES_INFO] CHECK CONSTRAINT [FK01_REDSGN_DEVICES_INFO]
GO

ALTER TABLE [dbo].[REDSGN_DEVICES_INFO]  WITH CHECK ADD  CONSTRAINT [FK03_REDSGN_DEVICES_INFO] FOREIGN KEY([CRETD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[REDSGN_DEVICES_INFO] CHECK CONSTRAINT [FK03_REDSGN_DEVICES_INFO]
GO

ALTER TABLE [dbo].[REDSGN_DEVICES_INFO]  WITH CHECK ADD  CONSTRAINT [FK04_REDSGN_DEVICES_INFO] FOREIGN KEY([MODFD_BY_CD])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[REDSGN_DEVICES_INFO] CHECK CONSTRAINT [FK04_REDSGN_DEVICES_INFO]
GO


--PJ017930_Change_26_REDSGN_REC_LOCK
USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN_REC_LOCK]    Script Date: 11/08/2016 10:14:03 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[REDSGN_REC_LOCK](
	[REDSGN_ID] [int] NOT NULL,
	[STRT_REC_LOCK_TMST] [smalldatetime] NOT NULL,
	[LOCK_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_REDSGN_REC_LOCK] PRIMARY KEY CLUSTERED 
(
	[REDSGN_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[REDSGN_REC_LOCK]  WITH CHECK ADD  CONSTRAINT [FK01_REDSGN_REC_LOCK] FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [dbo].[REDSGN_REC_LOCK] CHECK CONSTRAINT [FK01_REDSGN_REC_LOCK]
GO




USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN_DOC]    Script Date: 11/08/2016 09:57:02 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[REDSGN_DOC](
	[REDSGN_DOC_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [int] NOT NULL,
	[FILE_NME] [varchar](100) NOT NULL,
	[FILE_CNTNT] [varbinary](max) NOT NULL,
	[FILE_SIZE_QTY] [int] NOT NULL,
	[CREAT_DT] [smalldatetime] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[REDSGN_DEV_STUS_ID] [smallint] NULL,
	[MODFD_DT] [smalldatetime] NULL,
 CONSTRAINT [PK_REDSGN_DOC] PRIMARY KEY CLUSTERED 
(
	[REDSGN_DOC_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[REDSGN_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK01_REDSGN_DOC] FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [dbo].[REDSGN_DOC] CHECK CONSTRAINT [FK01_REDSGN_DOC]
GO

ALTER TABLE [dbo].[REDSGN_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK02_REDSGN_DOC] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[REDSGN_DOC] CHECK CONSTRAINT [FK02_REDSGN_DOC]
GO

ALTER TABLE [dbo].[REDSGN_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK03_REDSGN_DOC] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[REDSGN_DOC] CHECK CONSTRAINT [FK03_REDSGN_DOC]
GO


--PJ017930_Change_41_REDSGN_BYPASS
USE [COWS]
GO

/****** Object:  Table [AD\ra214145].[REDSGN_CUST_BYPASS]    Script Date: 12/22/2015 10:15:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[REDSGN_CUST_BYPASS](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[H1_CD] [varchar](9) NOT NULL,
	[CUST_NME] [varbinary](max) NOT NULL,
	[REC_STUS_ID] [bit] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[MODFD_BY_USER_ID] [int] NULL,
 CONSTRAINT [PK_REDSGN_CUST_BYPASS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


--PJ017930_Change50_REDSGN_H1_MRC_VALUES
USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN_H1_MRC_VALUES]    Script Date: 02/05/2016 11:45:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[REDSGN_H1_MRC_VALUES](
	[H1_ID] [varchar](10) NOT NULL,
	[REDSGN_CAT_ID] [tinyint] NOT NULL,
	[MRC_RATE_VS_NRC] [decimal](5, 4) NOT NULL,
	[REC_STUS_ID] [bit] NOT NULL,
 CONSTRAINT [PK_REDSGN_H1_MRC_VALUES] PRIMARY KEY CLUSTERED 
(
	[H1_ID] ASC,
	[REDSGN_CAT_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[REDSGN_H1_MRC_VALUES]  WITH NOCHECK ADD  CONSTRAINT [FK01_REDSGN_H1_MRC_VALUES] FOREIGN KEY([REDSGN_CAT_ID])
REFERENCES [dbo].[LK_REDSGN_CAT] ([REDSGN_CAT_ID])
GO

SET ANSI_PADDING OFF
GO


--PJ017930 - Change 08 - 07292015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO


--PJ017930_Change_29_07292015.sql
-- 2. Add new columns to dbo.REDSGN_DEVICES_INFO
ALTER TABLE [dbo].[REDSGN_DEVICES_INFO]
ADD [EVENT_CMPLTN_DT] smalldatetime NULL
go

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_REDSGN_DEVICES_INFO]') AND parent_object_id = OBJECT_ID(N'[dbo].[REDSGN_DEVICES_INFO]'))
ALTER TABLE [dbo].[REDSGN_DEVICES_INFO] DROP CONSTRAINT [FK02_REDSGN_DEVICES_INFO]
GO

--3. Drop existing column in dbo.REDSGN_DEVICES_INFO
--ALTER TABLE [dbo].[REDSGN_DEVICES_INFO]
--DROP COLUMN STUS_ID
--go

--
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO

--Select * From REDSGN_DEVICES_INFO


--pj017930_change05_M5_REDSGN_MSG
USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO


--Create M5_REDSGN_MSG
CREATE TABLE [dbo].[M5_REDSGN_MSG](
	[M5_REDSGN_MSG_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_DEV_ID] [int] NOT NULL,
	[CHARGE_AMT]  [decimal](10, 2) NOT NULL,
	[SITE] VARCHAR(255) NULL,
	[STUS_ID] [smallint] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[SENT_DT] [smalldatetime] NULL,
	[EVENT_ID] [int] NULL,
 CONSTRAINT [PK_M5_REDSGN_MSG] PRIMARY KEY CLUSTERED 
(
	[M5_REDSGN_MSG_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[M5_REDSGN_MSG]  WITH NOCHECK ADD  CONSTRAINT [FK01_M5_REDSGN_MSG] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[M5_REDSGN_MSG] CHECK CONSTRAINT [FK01_M5_REDSGN_MSG]
GO


SET ANSI_PADDING OFF
GO
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO

--pj017930_change45_REDSGN_DEVICES_H6
USE COWS
--GO
--ALTER TABLE dbo.REDSGN_DEVICES_INFO ADD H6_CUST_ID dbo.H6 
GO
ALTER TABLE dbo.ODIE_RSPN_INFO ADD H6_CUST_ID dbo.H6 

USE [COWS]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_REDSGN_DEV_EVENT_HIST]') AND parent_object_id = OBJECT_ID(N'[dbo].[REDSGN_DEV_EVENT_HIST]'))
ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] DROP CONSTRAINT [FK01_REDSGN_DEV_EVENT_HIST]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_REDSGN_DEV_EVENT_HIST]') AND parent_object_id = OBJECT_ID(N'[dbo].[REDSGN_DEV_EVENT_HIST]'))
ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] DROP CONSTRAINT [FK02_REDSGN_DEV_EVENT_HIST]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_getdate_REDSGN_DEV_EVENT_HIST_1]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] DROP CONSTRAINT [DF_getdate_REDSGN_DEV_EVENT_HIST_1]
END

GO

USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN_DEV_EVENT_HIST]    Script Date: 11/23/2016 08:04:22 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[REDSGN_DEV_EVENT_HIST]') AND type in (N'U'))
DROP TABLE [dbo].[REDSGN_DEV_EVENT_HIST]
GO

USE [COWS]
GO

/****** Object:  Table [dbo].[REDSGN_DEV_EVENT_HIST]    Script Date: 11/23/2016 08:04:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[REDSGN_DEV_EVENT_HIST](
	[REDSGN_DEV_EVENT_HIST_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_DEV_ID] [int] NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[CMPLTD_DT] [datetime] NOT NULL,
 CONSTRAINT [PK_REDSGN_DEV_EVENT_HIST] PRIMARY KEY CLUSTERED 
(
	[REDSGN_DEV_EVENT_HIST_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK01_REDSGN_DEV_EVENT_HIST] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] CHECK CONSTRAINT [FK01_REDSGN_DEV_EVENT_HIST]
GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK02_REDSGN_DEV_EVENT_HIST] FOREIGN KEY([REDSGN_DEV_ID])
REFERENCES [dbo].[REDSGN_DEVICES_INFO] ([REDSGN_DEV_ID])
GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] CHECK CONSTRAINT [FK02_REDSGN_DEV_EVENT_HIST]
GO

ALTER TABLE [dbo].[REDSGN_DEV_EVENT_HIST] ADD  CONSTRAINT [DF_getdate_REDSGN_DEV_EVENT_HIST_1]  DEFAULT (getdate()) FOR [CMPLTD_DT]
GO




